PROMETHEUS-SQUID-EXPORTER(1)

NAME
prometheus-squid-exporter - Prometheus exporter which exposes Squid proxy server metrics obtained via the cache manager API.

SYNOPSIS
prometheus-squid-exporter [options]

DESCRIPTION
This exporter parses Squid proxy server metrics from the cache manager API and exposes them as Prometheus metrics, including:

 * Cache hit counters
 * Client HTTP request / byte counters
 * Server HTTP / FTP requests
 * Request error counters

OPTIONS

-listen string Address on which to expose exporter (default ":9301").

-metrics-path string Path under which to expose metrics (default "/metrics").

-squid-hostname string Squid server to connect to (default "localhost").

-squid-login string Optional username for Squid cache manager HTTP basic authentication.

-squid-password string Optional password for Squid cache manager HTTP basic authentication.

-squid-port int Squid cache manager port (default: 3128).

-version Print version and exit.

SEE ALSO
squid(8)

AUTHOR
Mohamad Arab <boynux@gmail.com>